Package org.jacoco.report.internal.xml

## Class XMLCoverageWriter

- java.lang.Object
- - org.jacoco.report.internal.xml.XMLCoverageWriter

    public final class XMLCoverageWriter
    extends java.lang.Object

Serializes coverage data as XML fragments.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `writeBundle​(IBundleCoverage bundle, ReportElement element)` Writes the structure of a given bundle.
`static void` `writeCounters​(ICoverageNode node, ReportElement parent)` Writes all non-zero counters of the given node.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### writeBundle

    public static void writeBundle​(IBundleCoverage bundle,
                                   ReportElement element)
                            throws java.io.IOException

Writes the structure of a given bundle.

Parameters:
  `bundle` - bundle coverage data
  `element` - container element for the bundle data
Throws:
  `java.io.IOException` - if XML can't be written to the underlying output

#### writeCounters

    public static void writeCounters​(ICoverageNode node,
                                     ReportElement parent)
                              throws java.io.IOException

Writes all non-zero counters of the given node.

Parameters:
  `node` - node to retrieve counters from
  `parent` - container for the counter elements
Throws:
  `java.io.IOException` - if XML can't be written to the underlying output